commit d6f72342a71a6fbabda745d348801c5b42efc932
Author: freddy77 <freddy77>
Date:   Thu Sep 11 15:09:48 2008 +0000

    renamed sql2tds -> odbc_sql2tds and convert_tds2sql -> odbc_tds2sql

diff --git a/ChangeLog b/ChangeLog
index 35488f2..00c6825 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Thu Sep 11 17:07:10 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/tdsodbc.h src/odbc/convert_tds2sql.c src/odbc/odbc.c:
+	* src/odbc/odbc_util.c src/odbc/prepare_query.c src/odbc/sql2tds.c:
+	- renamed sql2tds -> odbc_sql2tds and convert_tds2sql -> odbc_tds2sql
+
 Wed Sep 10 13:36:48 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/odbc.c src/odbc/sql2tds.c:
 	- avoid useless buffer allocations
@@ -633,4 +638,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2605 2008/09/10 11:37:05 freddy77 Exp $
+$Id: ChangeLog,v 1.2606 2008/09/11 15:09:48 freddy77 Exp $
diff --git a/include/tdsodbc.h b/include/tdsodbc.h
index e9175ba..c0a3597 100644
--- a/include/tdsodbc.h
+++ b/include/tdsodbc.h
@@ -66,7 +66,7 @@ extern "C"
 #endif
 #endif
 
-/* $Id: tdsodbc.h,v 1.108 2008/09/10 11:22:33 freddy77 Exp $ */
+/* $Id: tdsodbc.h,v 1.109 2008/09/11 15:09:49 freddy77 Exp $ */
 
 #if defined(__GNUC__) && __GNUC__ >= 4
 #pragma GCC visibility push(hidden)
@@ -439,7 +439,7 @@ int odbc_get_dsn_info(const char *DSN, TDSCONNECTION * connection);
 /*
  * convert_tds2sql.c
  */
-TDS_INT convert_tds2sql(TDSCONTEXT * context, int srctype, TDS_CHAR * src, TDS_UINT srclen, int desttype, TDS_CHAR * dest, SQLULEN destlen, const struct _drecord *drec_ixd);
+TDS_INT odbc_tds2sql(TDSCONTEXT * context, int srctype, TDS_CHAR * src, TDS_UINT srclen, int desttype, TDS_CHAR * dest, SQLULEN destlen, const struct _drecord *drec_ixd);
 
 /*
  * descriptor.c
@@ -520,7 +520,7 @@ const char *parse_const_param(const char * s, TDS_SERVER_TYPE *type);
 /*
  * sql2tds.c
  */
-SQLRETURN sql2tds(TDS_STMT * stmt, const struct _drecord *drec_ixd, const struct _drecord *drec_axd, TDSCOLUMN *curcol, int compute_row, const TDS_DESC* axd, unsigned int n_row);
+SQLRETURN odbc_sql2tds(TDS_STMT * stmt, const struct _drecord *drec_ixd, const struct _drecord *drec_axd, TDSCOLUMN *curcol, int compute_row, const TDS_DESC* axd, unsigned int n_row);
 
 /*
  * sqlwchar.c
diff --git a/src/odbc/convert_tds2sql.c b/src/odbc/convert_tds2sql.c
index 62cfa48..50e8afb 100644
--- a/src/odbc/convert_tds2sql.c
+++ b/src/odbc/convert_tds2sql.c
@@ -39,11 +39,11 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: convert_tds2sql.c,v 1.51 2008/08/18 13:31:27 freddy77 Exp $");
+TDS_RCSID(var, "$Id: convert_tds2sql.c,v 1.52 2008/09/11 15:09:49 freddy77 Exp $");
 
 TDS_INT
-convert_tds2sql(TDSCONTEXT * context, int srctype, TDS_CHAR * src, TDS_UINT srclen, int desttype, TDS_CHAR * dest, SQLULEN destlen,
-		const struct _drecord *drec_ixd)
+odbc_tds2sql(TDSCONTEXT * context, int srctype, TDS_CHAR * src, TDS_UINT srclen, int desttype, TDS_CHAR * dest, SQLULEN destlen,
+	     const struct _drecord *drec_ixd)
 {
 	TDS_INT nDestSybType;
 	TDS_INT nRetVal = TDS_FAIL;
@@ -59,7 +59,7 @@ convert_tds2sql(TDSCONTEXT * context, int srctype, TDS_CHAR * src, TDS_UINT srcl
 	int ret = TDS_CONVERT_FAIL;
 	int i, cplen;
 
-	tdsdump_log(TDS_DBG_FUNC, "convert_tds2sql: src is %d dest = %d\n", srctype, desttype);
+	tdsdump_log(TDS_DBG_FUNC, "odbc_tds2sql: src is %d dest = %d\n", srctype, desttype);
 
 	assert(desttype != SQL_C_DEFAULT);
 
@@ -69,7 +69,7 @@ convert_tds2sql(TDSCONTEXT * context, int srctype, TDS_CHAR * src, TDS_UINT srcl
 
 	/* special case for binary type */
 	if (desttype == SQL_C_BINARY) {
-		tdsdump_log(TDS_DBG_FUNC, "convert_tds2sql: outputting binary data destlen = %lu \n", (unsigned long) destlen);
+		tdsdump_log(TDS_DBG_FUNC, "odbc_tds2sql: outputting binary data destlen = %lu \n", (unsigned long) destlen);
 
 		if (is_numeric_type(srctype)) {
 			desttype = SQL_C_NUMERIC;
@@ -128,7 +128,7 @@ convert_tds2sql(TDSCONTEXT * context, int srctype, TDS_CHAR * src, TDS_UINT srcl
 	switch (desttype) {
 
 	case SQL_C_CHAR:
-		tdsdump_log(TDS_DBG_FUNC, "convert_tds2sql: outputting character data destlen = %lu \n", (unsigned long) destlen);
+		tdsdump_log(TDS_DBG_FUNC, "odbc_tds2sql: outputting character data destlen = %lu \n", (unsigned long) destlen);
 
 		ret = nRetVal;
 		/* TODO handle not terminated configuration */
diff --git a/src/odbc/odbc.c b/src/odbc/odbc.c
index e4bce55..bc6032a 100644
--- a/src/odbc/odbc.c
+++ b/src/odbc/odbc.c
@@ -60,7 +60,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc.c,v 1.493 2008/09/10 11:37:06 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc.c,v 1.494 2008/09/11 15:09:49 freddy77 Exp $");
 
 static SQLRETURN _SQLAllocConnect(SQLHENV henv, SQLHDBC FAR * phdbc);
 static SQLRETURN _SQLAllocEnv(SQLHENV FAR * phenv);
@@ -982,7 +982,7 @@ odbc_build_update_params(TDS_STMT * stmt, unsigned int n_row)
 		tds_strlcpy(curcol->table_name, tds_dstr_cstr(&drec_ird->sql_desc_base_table_name), sizeof(curcol->table_name));
 		curcol->table_namelen = strlen(curcol->table_name);
 
-		switch (sql2tds(stmt, drec_ird, &stmt->ard->records[n], curcol, 1, stmt->ard, n_row)) {
+		switch (odbc_sql2tds(stmt, drec_ird, &stmt->ard->records[n], curcol, 1, stmt->ard, n_row)) {
 		case SQL_NEED_DATA:
 			odbc_errs_add(&stmt->errs, "HY001", NULL);
 		case SQL_ERROR:
@@ -3664,7 +3664,7 @@ _SQLFetch(TDS_STMT * stmt, SQLSMALLINT FetchOrientation, SQLLEN FetchOffset)
 				} else {
 					data_ptr += odbc_get_octet_len(c_type, drec_ard) * curr_row;
 				}
-				len = convert_tds2sql(context, tds_get_conversion_type(colinfo->column_type, colinfo->column_size),
+				len = odbc_tds2sql(context, tds_get_conversion_type(colinfo->column_type, colinfo->column_size),
 						      src, srclen, c_type, data_ptr, drec_ard->sql_desc_octet_length, drec_ard);
 				if (len < 0) {
 					odbc_convert_err_set(&stmt->errs, len);
@@ -4738,7 +4738,7 @@ SQLGetData(SQLHSTMT hstmt, SQLUSMALLINT icol, SQLSMALLINT fCType, SQLPOINTER rgb
 							ODBC_RETURN(stmt, SQL_NO_DATA);
 						
 						if (cbValueMax > 2) {
-							len = convert_tds2sql(context, nSybType, src + nread, 1, fCType, buf, sizeof(buf), NULL);
+							len = odbc_tds2sql(context, nSybType, src + nread, 1, fCType, buf, sizeof(buf), NULL);
 							if (len < 2) {
 								if (len < 0) 
 									odbc_convert_err_set(&stmt->errs, len);
@@ -4797,7 +4797,7 @@ SQLGetData(SQLHSTMT hstmt, SQLUSMALLINT icol, SQLSMALLINT fCType, SQLPOINTER rgb
 			srclen = colinfo->column_cur_size;
 		}
 
-		*pcbValue = convert_tds2sql(context, nSybType, src, srclen, fCType, (TDS_CHAR *) rgbValue, cbValueMax, NULL);
+		*pcbValue = odbc_tds2sql(context, nSybType, src, srclen, fCType, (TDS_CHAR *) rgbValue, cbValueMax, NULL);
 		if (*pcbValue < 0) {
 			odbc_convert_err_set(&stmt->errs, *pcbValue);
 			ODBC_RETURN(stmt, SQL_ERROR);
diff --git a/src/odbc/odbc_util.c b/src/odbc/odbc_util.c
index e29ab6e..2122d0e 100644
--- a/src/odbc/odbc_util.c
+++ b/src/odbc/odbc_util.c
@@ -39,7 +39,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc_util.c,v 1.101 2008/09/10 11:22:35 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc_util.c,v 1.102 2008/09/11 15:09:49 freddy77 Exp $");
 
 /**
  * \ingroup odbc_api
@@ -139,8 +139,8 @@ odbc_set_return_status(struct _hstmt *stmt, unsigned int n_row)
 		}
 #define LEN(ptr) *((SQLLEN*)(((char*)(ptr)) + len_offset))
 
-		len = convert_tds2sql(context, SYBINT4, (TDS_CHAR *) & tds->ret_status, sizeof(TDS_INT),
-				      drec->sql_desc_concise_type, (void *) data_ptr, drec->sql_desc_octet_length, NULL);
+		len = odbc_tds2sql(context, SYBINT4, (TDS_CHAR *) & tds->ret_status, sizeof(TDS_INT),
+				   drec->sql_desc_concise_type, (void *) data_ptr, drec->sql_desc_octet_length, NULL);
 		if (len < 0)
 			return /* SQL_ERROR */ ;
 		if (drec->sql_desc_indicator_ptr)
@@ -221,8 +221,8 @@ odbc_set_return_params(struct _hstmt *stmt, unsigned int n_row)
 		 * TODO why IPD ?? perhaps SQLBindParameter it's not correct ??
 		 * Or tests are wrong ??
 		 */
-		len = convert_tds2sql(context, tds_get_conversion_type(colinfo->column_type, colinfo->column_size), src, srclen,
-				      c_type, (void *) data_ptr, drec_apd->sql_desc_octet_length, drec_ipd);
+		len = odbc_tds2sql(context, tds_get_conversion_type(colinfo->column_type, colinfo->column_size), src, srclen,
+				   c_type, (void *) data_ptr, drec_apd->sql_desc_octet_length, drec_ipd);
 		/* TODO error handling */
 		if (len < 0)
 			return /* SQL_ERROR */ ;
diff --git a/src/odbc/prepare_query.c b/src/odbc/prepare_query.c
index da2e8f3..f2f642f 100644
--- a/src/odbc/prepare_query.c
+++ b/src/odbc/prepare_query.c
@@ -43,7 +43,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: prepare_query.c,v 1.71 2008/09/10 11:22:36 freddy77 Exp $");
+TDS_RCSID(var, "$Id: prepare_query.c,v 1.72 2008/09/11 15:09:49 freddy77 Exp $");
 
 #define TDS_ISSPACE(c) isspace((unsigned char) (c))
 
@@ -170,7 +170,7 @@ prepared_rpc(struct _hstmt *stmt, int compute_row)
 				return SQL_ERROR;
 			}
 
-			switch (sql2tds
+			switch (odbc_sql2tds
 				(stmt, &stmt->ipd->records[stmt->param_num - 1], &stmt->apd->records[stmt->param_num - 1],
 				 curcol, compute_row, stmt->apd, stmt->curr_param_row)) {
 			case SQL_ERROR:
@@ -219,7 +219,7 @@ parse_prepared_query(struct _hstmt *stmt, int compute_row)
 		}
 		stmt->params = temp_params;
 
-		switch (sql2tds
+		switch (odbc_sql2tds
 			(stmt, &stmt->ipd->records[stmt->param_num - 1], &stmt->apd->records[stmt->param_num - 1],
 			 stmt->params->columns[nparam], compute_row, stmt->apd, stmt->curr_param_row)) {
 		case SQL_ERROR:
diff --git a/src/odbc/sql2tds.c b/src/odbc/sql2tds.c
index 9fbcb84..53ade07 100644
--- a/src/odbc/sql2tds.c
+++ b/src/odbc/sql2tds.c
@@ -52,7 +52,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: sql2tds.c,v 1.74 2008/09/10 11:37:08 freddy77 Exp $");
+TDS_RCSID(var, "$Id: sql2tds.c,v 1.75 2008/09/11 15:09:50 freddy77 Exp $");
 
 static TDS_INT
 convert_datetime2server(int bindtype, const void *src, TDS_DATETIME * dt)
@@ -130,7 +130,7 @@ convert_datetime2server(int bindtype, const void *src, TDS_DATETIME * dt)
  * @return SQL_SUCCESS, SQL_ERROR or SQL_NEED_DATA
  */
 SQLRETURN
-sql2tds(TDS_STMT * stmt, const struct _drecord *drec_ipd, const struct _drecord *drec_apd, TDSCOLUMN *curcol,
+odbc_sql2tds(TDS_STMT * stmt, const struct _drecord *drec_ipd, const struct _drecord *drec_apd, TDSCOLUMN *curcol,
 	int compute_row, const TDS_DESC* axd, unsigned int n_row)
 {
 	TDS_DBC * dbc = stmt->dbc;

